Index: trunk/lib/FlairCore/src/Euler.cpp
===================================================================
--- trunk/lib/FlairCore/src/Euler.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Euler.cpp	(revision 15)
@@ -23,21 +23,17 @@
 #define PI_D ((double)3.14159265358979323846)
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-Euler::Euler(float inRoll,float inPitch,float inYaw): roll(inRoll), pitch(inPitch),yaw(inYaw) {
-}
+Euler::Euler(float inRoll, float inPitch, float inYaw)
+    : roll(inRoll), pitch(inPitch), yaw(inYaw) {}
 
-Euler::~Euler() {
+Euler::~Euler() {}
 
-}
-
-Euler& Euler::operator=(const Euler &euler) {
-    roll=euler.roll;
-    pitch=euler.pitch;
-    yaw=euler.yaw;
-    return (*this);
+Euler &Euler::operator=(const Euler &euler) {
+  roll = euler.roll;
+  pitch = euler.pitch;
+  yaw = euler.yaw;
+  return (*this);
 }
 /*
@@ -85,44 +81,41 @@
 */
 void Euler::ToQuaternion(Quaternion &quaternion) const {
-    quaternion.q0=cos(yaw/2)*cos(pitch/2)*cos(roll/2)
-        +sin(yaw/2)*sin(pitch/2)*sin(roll/2);
+  quaternion.q0 = cos(yaw / 2) * cos(pitch / 2) * cos(roll / 2) +
+                  sin(yaw / 2) * sin(pitch / 2) * sin(roll / 2);
 
-    quaternion.q1=cos(yaw/2)*cos(pitch/2)*sin(roll/2)
-        -sin(yaw/2)*sin(pitch/2)*cos(roll/2);
+  quaternion.q1 = cos(yaw / 2) * cos(pitch / 2) * sin(roll / 2) -
+                  sin(yaw / 2) * sin(pitch / 2) * cos(roll / 2);
 
-    quaternion.q2=cos(yaw/2)*sin(pitch/2)*cos(roll/2)
-        +sin(yaw/2)*cos(pitch/2)*sin(roll/2);
+  quaternion.q2 = cos(yaw / 2) * sin(pitch / 2) * cos(roll / 2) +
+                  sin(yaw / 2) * cos(pitch / 2) * sin(roll / 2);
 
-    quaternion.q3=sin(yaw/2)*cos(pitch/2)*cos(roll/2)
-        -cos(yaw/2)*sin(pitch/2)*sin(roll/2);
+  quaternion.q3 = sin(yaw / 2) * cos(pitch / 2) * cos(roll / 2) -
+                  cos(yaw / 2) * sin(pitch / 2) * sin(roll / 2);
 }
 
 Quaternion Euler::ToQuaternion(void) const {
-    Quaternion quaternion;
-    ToQuaternion(quaternion);
-    return quaternion;
+  Quaternion quaternion;
+  ToQuaternion(quaternion);
+  return quaternion;
 }
 
-float Euler::ToDegree(float radianValue) {
-    return radianValue*180.0f/PI;
-}
+float Euler::ToDegree(float radianValue) { return radianValue * 180.0f / PI; }
 
-float Euler::ToRadian(float degreeValue) {
-    return degreeValue/180.0f*PI;
-}
+float Euler::ToRadian(float degreeValue) { return degreeValue / 180.0f * PI; }
 
 float Euler::YawDistanceFrom(float angle) const {
-    float rot1,rot2;
-    if(angle > yaw ) {
-        rot1=angle-yaw;
-        rot2=2*PI-angle+yaw;
-    } else {
-        rot1=2*PI+angle-yaw;
-        rot2=yaw-angle;
-    }
-    if(rot2<rot1) rot1=-rot2;
-    rot1=-rot1;//pour avoir rot1=yaw-angle
+  float rot1, rot2;
+  if (angle > yaw) {
+    rot1 = angle - yaw;
+    rot2 = 2 * PI - angle + yaw;
+  } else {
+    rot1 = 2 * PI + angle - yaw;
+    rot2 = yaw - angle;
+  }
+  if (rot2 < rot1)
+    rot1 = -rot2;
+  rot1 = -rot1; // pour avoir rot1=yaw-angle
 
-    return rot1;
+  return rot1;
 }
 
Index: trunk/lib/FlairCore/src/Euler.h
===================================================================
--- trunk/lib/FlairCore/src/Euler.h	(revision 14)
+++ trunk/lib/FlairCore/src/Euler.h	(revision 15)
@@ -14,136 +14,136 @@
 #define EULER_H
 
-namespace flair { namespace core {
-    class Quaternion;
+namespace flair {
+namespace core {
+class Quaternion;
 
-    /*! \class Euler
-    *
-    * \brief Class defining euler angles
-    *
-    * Euler angles are expressed in radians.
-    *
-    */
-    class Euler {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct euler angles using specified values.
-            *
-            * \param roll roll value
-            * \param pitch pitch value
-            * \param yaw yaw value
-            */
-            Euler(float roll=0,float pitch=0,float yaw=0);
+/*! \class Euler
+*
+* \brief Class defining euler angles
+*
+* Euler angles are expressed in radians.
+*
+*/
+class Euler {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct euler angles using specified values.
+  *
+  * \param roll roll value
+  * \param pitch pitch value
+  * \param yaw yaw value
+  */
+  Euler(float roll = 0, float pitch = 0, float yaw = 0);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Euler();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Euler();
 
-            /*!
-            * \brief x axis rotation
-            *
-            * \param value rotation value in radians
-            */
-            //todo: passer par un quaternion
-            //void RotateX(float value);
+  /*!
+  * \brief x axis rotation
+  *
+  * \param value rotation value in radians
+  */
+  // todo: passer par un quaternion
+  // void RotateX(float value);
 
-            /*!
-            * \brief x axis rotation
-            *
-            * \param value rotation value in degrees
-            */
-            //void RotateXDeg(float value);
+  /*!
+  * \brief x axis rotation
+  *
+  * \param value rotation value in degrees
+  */
+  // void RotateXDeg(float value);
 
-            /*!
-            * \brief y axis rotation
-            *
-            * \param value rotation value in radians
-            */
-            //void RotateY(float value);
+  /*!
+  * \brief y axis rotation
+  *
+  * \param value rotation value in radians
+  */
+  // void RotateY(float value);
 
-            /*!
-            * \brief y axis rotation
-            *
-            * \param value rotation value in degrees
-            */
-            //void RotateYDeg(float value);
+  /*!
+  * \brief y axis rotation
+  *
+  * \param value rotation value in degrees
+  */
+  // void RotateYDeg(float value);
 
-            /*!
-            * \brief z axis rotation
-            *
-            * \param value rotation value in radians
-            */
-            //void RotateZ(float value);
+  /*!
+  * \brief z axis rotation
+  *
+  * \param value rotation value in radians
+  */
+  // void RotateZ(float value);
 
-            /*!
-            * \brief z axis rotation
-            *
-            * \param value rotation value in degrees
-            */
-            //void RotateZDeg(float value);
+  /*!
+  * \brief z axis rotation
+  *
+  * \param value rotation value in degrees
+  */
+  // void RotateZDeg(float value);
 
-            /*!
-            * \brief Convert to quaternion
-            *
-            * \param quaternion output quaternion
-            */
-            void ToQuaternion(Quaternion &quaternion) const;
+  /*!
+  * \brief Convert to quaternion
+  *
+  * \param quaternion output quaternion
+  */
+  void ToQuaternion(Quaternion &quaternion) const;
 
-            /*!
-            * \brief Convert to quaternion
-            *
-            * \return quaternion
-            */
-            Quaternion ToQuaternion(void) const;
-            /*!
-            * \brief Convert from radian to degree
-            *
-            * \param radianValue value in radian
-            *
-            * \return value in degree
-            */
-            static float ToDegree(float radianValue);
+  /*!
+  * \brief Convert to quaternion
+  *
+  * \return quaternion
+  */
+  Quaternion ToQuaternion(void) const;
+  /*!
+  * \brief Convert from radian to degree
+  *
+  * \param radianValue value in radian
+  *
+  * \return value in degree
+  */
+  static float ToDegree(float radianValue);
 
-            /*!
-            * \brief Convert from degree to radian
-            *
-            * \param degreeValue value in degree
-            *
-            * \return value in radian
-            */
-            static float ToRadian(float degreeValue);
+  /*!
+  * \brief Convert from degree to radian
+  *
+  * \param degreeValue value in degree
+  *
+  * \return value in radian
+  */
+  static float ToRadian(float degreeValue);
 
-            /*!
-            * \brief Compute yaw distance
-            *
-            * Compute yaw distance from given angle. This is the minimum distance.
-            *
-            * \param angle starting angle
-            *
-            * \return value distance in radian
-            */
-            float YawDistanceFrom(float angle) const;
+  /*!
+  * \brief Compute yaw distance
+  *
+  * Compute yaw distance from given angle. This is the minimum distance.
+  *
+  * \param angle starting angle
+  *
+  * \return value distance in radian
+  */
+  float YawDistanceFrom(float angle) const;
 
-            /*!
-            * \brief roll value
-            */
-            float roll;
+  /*!
+  * \brief roll value
+  */
+  float roll;
 
-            /*!
-            * \brief pitch value
-            */
-            float pitch;
+  /*!
+  * \brief pitch value
+  */
+  float pitch;
 
-            /*!
-            * \brief yaw value
-            */
-            float yaw;
+  /*!
+  * \brief yaw value
+  */
+  float yaw;
 
-            Euler& operator=(const Euler &euler);
-
-    };
+  Euler &operator=(const Euler &euler);
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/FrameworkManager.cpp
===================================================================
--- trunk/lib/FlairCore/src/FrameworkManager.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/FrameworkManager.cpp	(revision 15)
@@ -26,161 +26,161 @@
 using namespace flair::gui;
 
-namespace
-{
-    flair::core::FrameworkManager* frameworkmanager=NULL;
+namespace {
+flair::core::FrameworkManager *frameworkmanager = NULL;
 }
 
+namespace flair {
+namespace core {
 
-namespace flair
-{
-namespace core
-{
+FrameworkManager *getFrameworkManager(void) { return frameworkmanager; }
 
+bool IsBigEndian(void) {
+  union {
+    uint32_t i;
+    char c[4];
+  } bint = {0x01020304};
 
-FrameworkManager* getFrameworkManager(void) {
-    return frameworkmanager;
+  if (bint.c[0] == 1) {
+    return true;
+  } else {
+    return false;
+  }
 }
 
-bool IsBigEndian(void) {
-    union {
-        uint32_t i;
-        char c[4];
-    } bint = {0x01020304};
+FrameworkManager::FrameworkManager(string name)
+    : Object(NULL, name, XML_ROOT_TYPE) {
+  if (frameworkmanager != NULL) {
+    Err("FrameworkManager should be instanced only one time\n");
+    return;
+  }
 
-    if(bint.c[0] == 1) {
-        return true;
-    } else {
-        return false;
-    }
-}
-
-FrameworkManager::FrameworkManager(string name): Object(NULL,name,XML_ROOT_TYPE)
-{
-    if(frameworkmanager!=NULL) {
-        Err("FrameworkManager should be instanced only one time\n");
-        return;
-    }
-
-    Printf(SVN_REV);
-    frameworkmanager=this;
-    pimpl_=new FrameworkManager_impl(this,name);
+  Printf(SVN_REV);
+  frameworkmanager = this;
+  pimpl_ = new FrameworkManager_impl(this, name);
 }
 
 FrameworkManager::~FrameworkManager() {
-    //Printf("destruction FrameworkManager\n");
+  // Printf("destruction FrameworkManager\n");
 
-    //stop ui_com thread (which sends datas for graphs), we do not need it as graphs will be destroyed
-    if(getUiCom()!=NULL) {
-        getUiCom()->SafeStop();
-        getUiCom()->Join();
+  // stop ui_com thread (which sends datas for graphs), we do not need it as
+  // graphs will be destroyed
+  if (getUiCom() != NULL) {
+    getUiCom()->SafeStop();
+    getUiCom()->Join();
+  }
+
+  // we start by deleting threads (except pimpl which must be deleted at last)
+  // (before deleting objects that could be used by the threads)
+  // Printf("delete Threads\n");
+  for (vector<const Object *>::iterator it = Childs()->begin();
+       it < Childs()->end(); it++) {
+    // Printf("child %i %s
+    // %s\n",Childs()->size(),(*it)->ObjectName().c_str(),(*it)->ObjectType().c_str());
+    if ((*it)->ObjectType() == "Thread") {
+      if (*it != pimpl_) {
+        // Printf("del\n");
+        delete (Thread *)(*it);
+        // Childs() vector has been modified, we start from beginning again
+        // it will be incremented by the loop, so in fact we start again at
+        // begin()+1
+        // it is not a problem since begin is pimpl
+        it = Childs()->begin();
+        // Printf("del ok\n");
+      }
     }
+  }
 
-    //we start by deleting threads (except pimpl which must be deleted at last)
-    // (before deleting objects that could be used by the threads)
-    //Printf("delete Threads\n");
-    for(vector<const Object*>::iterator it=Childs()->begin() ; it < Childs()->end(); it++ ) {
-        //Printf("child %i %s %s\n",Childs()->size(),(*it)->ObjectName().c_str(),(*it)->ObjectType().c_str());
-        if((*it)->ObjectType()=="Thread") {
-            if(*it!=pimpl_) {
-                //Printf("del\n");
-                delete (Thread*)(*it);
-                //Childs() vector has been modified, we start from beginning again
-                //it will be incremented by the loop, so in fact we start again at begin()+1
-                //it is not a problem since begin is pimpl
-                it=Childs()->begin();
-                //Printf("del ok\n");
-            }
-        }
+  // next we delete IODevice
+  // (before deleting objects that could be used by the IODevice)
+  // Printf("delete IODevices\n");
+  for (vector<const Object *>::iterator it = Childs()->begin();
+       it < Childs()->end(); it++) {
+    // Printf("child %i %s
+    // %s\n",Childs()->size(),(*it)->ObjectName().c_str(),(*it)->ObjectType().c_str());
+    if ((*it)->ObjectType() == "IODevice") {
+      // Printf("del\n");
+      delete (IODevice *)*it;
+      // Printf("del ok\n");
+      // Childs() vector has been modified, we start from beginning again
+      // it will be incremented by the loop, so in fact we start again at
+      // begin()+1
+      // it is not a problem since begin is pimpl (not an IODevice)
+      it = Childs()->begin();
+      // Printf("del ok\n");
     }
+  }
 
-    //next we delete IODevice
-    // (before deleting objects that could be used by the IODevice)
-    //Printf("delete IODevices\n");
-    for(vector<const Object*>::iterator it=Childs()->begin() ; it < Childs()->end(); it++ ) {
-        //Printf("child %i %s %s\n",Childs()->size(),(*it)->ObjectName().c_str(),(*it)->ObjectType().c_str());
-        if((*it)->ObjectType()=="IODevice") {
-            //Printf("del\n");
-            delete (IODevice*)*it;
-            //Printf("del ok\n");
-            //Childs() vector has been modified, we start from beginning again
-            //it will be incremented by the loop, so in fact we start again at begin()+1
-            //it is not a problem since begin is pimpl (not an IODevice)
-            it=Childs()->begin();
-            //Printf("del ok\n");
-        }
-    }
+  // Printf("delete childs\n");
+  // on efface les enfants en commencant par la fin
+  // le ui_com puis FrameworkManager_impl est détruit en dernier
+  // permet de garder l'uicom pour notifer des destructions
+  while (Childs()->size() != 0) {
+    // Printf("child %i %s
+    // %s\n",Childs()->size(),Childs()->back()->ObjectName().c_str(),Childs()->back()->ObjectType().c_str());
+    if (Childs()->back() != NULL)
+      delete Childs()->back();
+  }
 
-//Printf("delete childs\n");
-    //on efface les enfants en commencant par la fin
-    //le ui_com puis FrameworkManager_impl est détruit en dernier
-    //permet de garder l'uicom pour notifer des destructions
-    while(Childs()->size()!=0) {
-        //Printf("child %i %s %s\n",Childs()->size(),Childs()->back()->ObjectName().c_str(),Childs()->back()->ObjectType().c_str());
-        if(Childs()->back()!=NULL) delete Childs()->back();
-    }
+  // childs.clear();
 
-    //childs.clear();
-
-//Printf("destruction FrameworkManager ok\n");
+  // Printf("destruction FrameworkManager ok\n");
 }
 
-void FrameworkManager::SetupConnection(string address,uint16_t port,size_t rcv_buf_size) {
-    pimpl_->SetupConnection(address,port,rcv_buf_size);
+void FrameworkManager::SetupConnection(string address, uint16_t port,
+                                       size_t rcv_buf_size) {
+  pimpl_->SetupConnection(address, port, rcv_buf_size);
 }
 
 void FrameworkManager::SetupUserInterface(string xml_file) {
-    pimpl_->SetupUserInterface(xml_file);
+  pimpl_->SetupUserInterface(xml_file);
 }
 
-gui::TabWidget* FrameworkManager::GetTabWidget(void) const {
-    return pimpl_->tabwidget;
+gui::TabWidget *FrameworkManager::GetTabWidget(void) const {
+  return pimpl_->tabwidget;
 }
 
 void FrameworkManager::UpdateSendData(const SendData *obj) {
-    if(getUiCom()!=NULL) getUiCom()->UpdateSendData(obj);
+  if (getUiCom() != NULL)
+    getUiCom()->UpdateSendData(obj);
 }
 
 void FrameworkManager::BlockCom(void) {
-    if(getUiCom()!=NULL) getUiCom()->Block();
+  if (getUiCom() != NULL)
+    getUiCom()->Block();
 }
 
 void FrameworkManager::UnBlockCom(void) {
-    if(getUiCom()!=NULL) getUiCom()->UnBlock();
+  if (getUiCom() != NULL)
+    getUiCom()->UnBlock();
 }
 
 bool FrameworkManager::ConnectionLost(void) const {
-    if(getUiCom()!=NULL) {
-        return (getUiCom()->ConnectionLost()| pimpl_->connection_lost);
-    } else {
-        return false;
-    }
+  if (getUiCom() != NULL) {
+    return (getUiCom()->ConnectionLost() | pimpl_->connection_lost);
+  } else {
+    return false;
+  }
 }
 
 void FrameworkManager::SetupLogger(string log_path) {
-    pimpl_->SetupLogger(log_path);
+  pimpl_->SetupLogger(log_path);
 }
 
 void FrameworkManager::AddDeviceToLog(IODevice *device) {
-    pimpl_->AddDeviceToLog(device);
+  pimpl_->AddDeviceToLog(device);
 }
 
-void FrameworkManager::StartLog(void) {
-    pimpl_->StartLog();
-}
+void FrameworkManager::StartLog(void) { pimpl_->StartLog(); }
 
-void FrameworkManager::StopLog(void) {
-    pimpl_->StopLog();
-}
+void FrameworkManager::StopLog(void) { pimpl_->StopLog(); }
 
-bool FrameworkManager::IsLogging(void) const {
-    return pimpl_->is_logging;
-}
+bool FrameworkManager::IsLogging(void) const { return pimpl_->is_logging; }
 
 void FrameworkManager::DisableErrorsDisplay(bool value) {
-    pimpl_->disable_errors=value;
+  pimpl_->disable_errors = value;
 }
 
 bool FrameworkManager::IsDisplayingErrors(void) const {
-    return !(pimpl_->disable_errors);
+  return !(pimpl_->disable_errors);
 }
 
Index: trunk/lib/FlairCore/src/FrameworkManager.h
===================================================================
--- trunk/lib/FlairCore/src/FrameworkManager.h	(revision 14)
+++ trunk/lib/FlairCore/src/FrameworkManager.h	(revision 15)
@@ -18,202 +18,209 @@
 class FrameworkManager_impl;
 
-namespace flair
-{
-    namespace gui
-    {
-        class TabWidget;
-        class SendData;
-    }
+namespace flair {
+namespace gui {
+class TabWidget;
+class SendData;
 }
-namespace flair
-{
-namespace core
-{
-    class IODevice;
-
-    /*! \class FrameworkManager
-    *
-    * \brief Main class of the Framework library
-    *
-    * This is the main class of the library. Only one instance of this class is allowed
-    * by program. Morevoer, its name must be unique if more than one program using this class
-    * is running on the same system (a control and a simlator for example). \n
-    * This class allows: \n
-    * -connexion with ground station, \n
-    * -creation of a QTabWidget on ground station, \n
-    * -handling of xml files, used for default values of Widgets, \n
-    * -logging of datas.
-    */
-    class FrameworkManager: public Object
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a FrameworkManager. \n
-            * Call SetupConnection method just after this constructor to setup the conection with a ground station.
-            *
-            * \param name name, must be unique
-            */
-            FrameworkManager(std::string name);
-
-            /*!
-            * \brief Destructor
-            *
-            * Calling it will automatically destruct all childs. \n
-            * Destruction implies destruction of the QTabWidget on ground station.
-            *
-            */
-            ~FrameworkManager();
-
-            /*!
-            * \brief Setup the connection with ground station
-            *
-            * Call this method just after the constructor of this class. If this method is not called, the program will run headless.
-            *
-            * \param address address of ground station
-            * \param port port of ground station
-            * \param rcv_buf_size receive buffer size
-            */
-            void SetupConnection(std::string address,uint16_t port,size_t rcv_buf_size=10000);
-
-            /*!
-            * \brief Setup the user interface
-            *
-            * If this method is called after SetupConnection, Widgets will be displayed in the ground station.
-            * Otherwise, it will run headless, but default values of Widgets will be taken from the xml file.
-            *
-            * \param xml_file xml file for default values of Widgets
-            */
-            void SetupUserInterface(std::string xml_file);
-
-            /*!
-            * \brief Get TabWidget
-            *
-            * \return TabWidget
-            */
-            gui::TabWidget* GetTabWidget(void) const;
-
-            /*!
-            * \brief Logger setup
-            *
-            * Setup path of log files. \n
-            * No logging will be performed if this method is not called. \n
-            *
-            * \param log_path path to store logs
-            */
-            void SetupLogger(std::string log_path);
-
-            /*!
-            * \brief Add log element
-            *
-            * The added element will be automatically logged once
-            * logging started (see StartLog()). \n
-            * This element must define on its side the io_data
-            * to log, trough IODevice::SetDataToLog method.
-            *
-            * \param device IODevice to add
-            */
-            void AddDeviceToLog(IODevice *device);
-
-            /*!
-            * \brief Start logging
-            *
-            * All IODevice added through AddDeviceToLog() method
-            * will automatically be logged. \n
-            * SetupLogger() must have been called before.
-            */
-            void StartLog(void);
-
-            /*!
-            * \brief Stop logging
-            *
-            * Logs will automatically be sent to ground station.
-            */
-            void StopLog(void);
-
-            /*!
-            * \brief Is logging?
-            *
-            * \return true if is logging
-            */
-            bool IsLogging(void) const;
-
-            /*!
-            * \brief Notify that SendData's period has changed
-            *
-            * This funtion must be called when the period has changed. \n
-            * Normally, it occurs in the Widget::XmlEvent method. \n
-            * This method must be called with communication blocked (see BlockCom()).
-            *
-            * \param obj SendData which changed
-            */
-            void UpdateSendData(const gui::SendData *obj);
-
-            /*!
-            * \brief Block communication
-            *
-            * This funtion blocks the communication beetween the program and ground station. \n
-            * It must be called before changing datas or parameters exchanged between the program
-            * and the ground station.
-            *
-            */
-            void BlockCom(void);
-
-             /*!
-            * \brief Unblock communication
-            *
-            * This funtion unblocks the communication beetween the program and ground station. \n
-            * It must be called after changing datas or parameters exchanged between the program
-            * and the ground station.
-            *
-            */
-            void UnBlockCom(void);
-
-            /*!
-            * \brief Is connection lost?
-            *
-            * Once this method returns true, it will never return false back. \n
-            * Note that this method return false if no connection is defined (see SetupConnection).
-            *
-            * \return true if connection with ground station is lost
-            */
-            bool ConnectionLost(void) const;
-
-            /*!
-            * \brief Disable errors display
-            *
-            * Disable errors display, if you do not want to saturate console for exemple.
-            * By defaults errors disply is enabled.
-            *
-            * \param value true to disable errors display
-            */
-            void DisableErrorsDisplay(bool value);
-
-            /*!
-            * \brief Is displaying errors?
-            *
-            *
-            * \return true if errors display is enabled
-            */
-            bool IsDisplayingErrors(void) const;
-
-        private:
-            class FrameworkManager_impl* pimpl_;
-    };
-
-    /*!
-    * \brief get FrameworkManager
-    *
-    * \return the FrameworkManager
-    */
-    FrameworkManager* getFrameworkManager(void);
-
-    /*!
-    * \brief is big endian?
-    *
-    * \return true if big endian, false if little endian
-    */
-    bool IsBigEndian(void);
+}
+namespace flair {
+namespace core {
+class IODevice;
+
+/*! \class FrameworkManager
+*
+* \brief Main class of the Framework library
+*
+* This is the main class of the library. Only one instance of this class is
+*allowed
+* by program. Morevoer, its name must be unique if more than one program using
+*this class
+* is running on the same system (a control and a simlator for example). \n
+* This class allows: \n
+* -connexion with ground station, \n
+* -creation of a QTabWidget on ground station, \n
+* -handling of xml files, used for default values of Widgets, \n
+* -logging of datas.
+*/
+class FrameworkManager : public Object {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a FrameworkManager. \n
+  * Call SetupConnection method just after this constructor to setup the
+  *conection with a ground station.
+  *
+  * \param name name, must be unique
+  */
+  FrameworkManager(std::string name);
+
+  /*!
+  * \brief Destructor
+  *
+  * Calling it will automatically destruct all childs. \n
+  * Destruction implies destruction of the QTabWidget on ground station.
+  *
+  */
+  ~FrameworkManager();
+
+  /*!
+  * \brief Setup the connection with ground station
+  *
+  * Call this method just after the constructor of this class. If this method is
+  *not called, the program will run headless.
+  *
+  * \param address address of ground station
+  * \param port port of ground station
+  * \param rcv_buf_size receive buffer size
+  */
+  void SetupConnection(std::string address, uint16_t port,
+                       size_t rcv_buf_size = 10000);
+
+  /*!
+  * \brief Setup the user interface
+  *
+  * If this method is called after SetupConnection, Widgets will be displayed in
+  *the ground station.
+  * Otherwise, it will run headless, but default values of Widgets will be taken
+  *from the xml file.
+  *
+  * \param xml_file xml file for default values of Widgets
+  */
+  void SetupUserInterface(std::string xml_file);
+
+  /*!
+  * \brief Get TabWidget
+  *
+  * \return TabWidget
+  */
+  gui::TabWidget *GetTabWidget(void) const;
+
+  /*!
+  * \brief Logger setup
+  *
+  * Setup path of log files. \n
+  * No logging will be performed if this method is not called. \n
+  *
+  * \param log_path path to store logs
+  */
+  void SetupLogger(std::string log_path);
+
+  /*!
+  * \brief Add log element
+  *
+  * The added element will be automatically logged once
+  * logging started (see StartLog()). \n
+  * This element must define on its side the io_data
+  * to log, trough IODevice::SetDataToLog method.
+  *
+  * \param device IODevice to add
+  */
+  void AddDeviceToLog(IODevice *device);
+
+  /*!
+  * \brief Start logging
+  *
+  * All IODevice added through AddDeviceToLog() method
+  * will automatically be logged. \n
+  * SetupLogger() must have been called before.
+  */
+  void StartLog(void);
+
+  /*!
+  * \brief Stop logging
+  *
+  * Logs will automatically be sent to ground station.
+  */
+  void StopLog(void);
+
+  /*!
+  * \brief Is logging?
+  *
+  * \return true if is logging
+  */
+  bool IsLogging(void) const;
+
+  /*!
+  * \brief Notify that SendData's period has changed
+  *
+  * This funtion must be called when the period has changed. \n
+  * Normally, it occurs in the Widget::XmlEvent method. \n
+  * This method must be called with communication blocked (see BlockCom()).
+  *
+  * \param obj SendData which changed
+  */
+  void UpdateSendData(const gui::SendData *obj);
+
+  /*!
+  * \brief Block communication
+  *
+  * This funtion blocks the communication beetween the program and ground
+  *station. \n
+  * It must be called before changing datas or parameters exchanged between the
+  *program
+  * and the ground station.
+  *
+  */
+  void BlockCom(void);
+
+  /*!
+ * \brief Unblock communication
+ *
+ * This funtion unblocks the communication beetween the program and ground
+ *station. \n
+ * It must be called after changing datas or parameters exchanged between the
+ *program
+ * and the ground station.
+ *
+ */
+  void UnBlockCom(void);
+
+  /*!
+  * \brief Is connection lost?
+  *
+  * Once this method returns true, it will never return false back. \n
+  * Note that this method return false if no connection is defined (see
+  *SetupConnection).
+  *
+  * \return true if connection with ground station is lost
+  */
+  bool ConnectionLost(void) const;
+
+  /*!
+  * \brief Disable errors display
+  *
+  * Disable errors display, if you do not want to saturate console for exemple.
+  * By defaults errors disply is enabled.
+  *
+  * \param value true to disable errors display
+  */
+  void DisableErrorsDisplay(bool value);
+
+  /*!
+  * \brief Is displaying errors?
+  *
+  *
+  * \return true if errors display is enabled
+  */
+  bool IsDisplayingErrors(void) const;
+
+private:
+  class FrameworkManager_impl *pimpl_;
+};
+
+/*!
+* \brief get FrameworkManager
+*
+* \return the FrameworkManager
+*/
+FrameworkManager *getFrameworkManager(void);
+
+/*!
+* \brief is big endian?
+*
+* \return true if big endian, false if little endian
+*/
+bool IsBigEndian(void);
 
 } // end namespace core
